org.flexdock.dockbar.layout

## Class DockbarLayout

- java.lang.Object
- - org.flexdock.dockbar.layout.DockbarLayout

    public class DockbarLayout
    extends java.lang.Object

Author:
  Christopher Butler

### Field Summary

Fields
`static int` `MINIMUM_VIEW_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`DockbarLayout(DockbarManager mgr)`

### Method Summary

Methods
`int` `getDesiredViewpaneSize()`
`void` `layout()`
`protected void` `layoutViewpane()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### MINIMUM_VIEW_SIZE

    public static final int MINIMUM_VIEW_SIZE

See Also:
  Constant Field Values

### Constructor Detail

#### DockbarLayout

    public DockbarLayout(DockbarManager mgr)

### Method Detail

#### layout

    public void layout()

#### getDesiredViewpaneSize

    public int getDesiredViewpaneSize()

#### layoutViewpane

    protected void layoutViewpane()